跳转到内容

Marigold Depth Estimation

集成

模型 id imageutils/marigold-depth
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/imageutils/marigold-depth?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

此请求: ≈$0.014 14 API 积分 · ≈ ₽1.48 在此页面运行

获取 API 密钥
Utility 图像编辑 #depth#utility

使用 Marigold 估计深度图,并可调整去噪步数、集成大小和处理分辨率

Utility · 图像

你的第一个结果会显示在这里

在下方构建请求,并使用你的 API 密钥运行。输出会复制到我们的存储中,可永久保存,也可免费保存 7 天。

构建请求

控件根据模型架构生成。修改控件时,代码和价格会同步更新。

•必填 image_url
拖放文件,或

输入图像的 URL。

高级 num_inference_steps · ensemble_size · processing_res
默认 10

去噪步数越多,推理速度越慢但准确度越高;`10` 为默认值。

默认 10

平均采样数量:使用更多预测可提高准确度,但会降低推理速度。默认值为 `10`。

默认 0

处理分辨率上限,使用 `0` 时选择输入图像的尺寸,而不是单独的限制。默认值为 `0`。

POST /run/imageutils/marigold-depth?wait=20 报价 → $0.014
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/imageutils/marigold-depth?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

运行此请求

你的密钥会保留在此浏览器中:仅发送到 Doitong API;只有勾选“记住”后才会保存到 localStorage。 获取 API 密钥

关于 Marigold Depth Estimation

使用 Marigold 方法从输入图像生成深度图。`num_inference_steps` 和 `ensemble_size` 的范围均为 2 到 50(默认均为 10);数值越高,结果越准确,但运行速度越慢。`processing_res` 最高为 2048,设为 0 时使用输入图像尺寸。

参数

发送规范名称或原生名称之一,不要同时发送两者。 规范名称

名称类型 默认值允许值 描述
image_url必填 image
类型url · image
输入图像的 URL。
num_inference_steps可选
类型integer
默认值10
2 – 50
去噪步数越多,推理速度越慢但准确度越高;`10` 为默认值。
ensemble_size可选
类型integer
默认值10
2 – 50
平均采样数量:使用更多预测可提高准确度,但会降低推理速度。默认值为 `10`。
processing_res可选
类型integer
默认值0
0 – 2,048
处理分辨率上限,使用 `0` 时选择输入图像的尺寸,而不是单独的限制。默认值为 `0`。
必填 规范名称,也可接受

文件参数接受公开的 https:// URL、最大 10 MB 的 data: URI,或上传文件的 file_url。 文件

输出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "imageutils/marigold-depth",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 14,
    "usd": "0.014",
    "charged": 14,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "image": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768
    }
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
文件由你选择每个 outputs[].url 都是我们存储中的副本:可永久保存(按 GB-月付费),也可免费保存 7 天,由账户设置或 ?storage= 决定。
所有模型的结构一致图像、视频和音频的字段均为 type、url、content_type、width、height 和 duration。output 是模型自身的结果对象。
输出字段
image
object {url, content_type, file_name, file_size, width, height}深度图输出。

更多模型:图像编辑

对于 AI 代理:此页面的 Markdown 版本位于 https://doitong.com/zh-CN/developers/models/imageutils/marigold-depth.md. 所有模型和指南: https://doitong.com/developers/llms.txt